Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class AttributeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.EntityEvent
                      org.apache.cayenne.map.event.AttributeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeEvent

extends EntityEvent

Represents events resulted from Attribute changes in CayenneModeler. This event is used for both ObjAttributes and DbAttributes.

Author:
  Misha Shengaout, Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected Attribute` | `attribute`

Fields inherited from class org.apache.cayenne.map.event.EntityEvent
`entity`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeEvent(java.lang.Object src, Attribute attr, Entity entity)` Creates a Attribute change event.
`AttributeEvent(java.lang.Object src, Attribute attr, Entity entity, int id)` Creates a Attribute event of a specified type.
`AttributeEvent(java.lang.Object src, Attribute attr, Entity entity, java.lang.String oldName)` Creates a Attribute name change event.

Method Summary
`Attribute` | `getAttribute()` Get attribute (obj or db).
`java.lang.String` | `getNewName()` Returns the newName of the object that caused this event.
`void` | `setAttribute(Attribute attribute)` Sets the attribute.

Methods inherited from class org.apache.cayenne.map.event.EntityEvent
`getEntity, setEntity`

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getId, getOldName, isNameChange, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attribute

    protected Attribute attribute

Constructor Detail

### AttributeEvent

    public AttributeEvent(java.lang.Object src,
                          Attribute attr,
                          Entity entity)

  Creates a Attribute change event.

### AttributeEvent

    public AttributeEvent(java.lang.Object src,
                          Attribute attr,
                          Entity entity,
                          int id)

  Creates a Attribute event of a specified type.

### AttributeEvent

    public AttributeEvent(java.lang.Object src,
                          Attribute attr,
                          Entity entity,
                          java.lang.String oldName)

  Creates a Attribute name change event.

Method Detail

### getAttribute

    public Attribute getAttribute()

  Get attribute (obj or db).

### setAttribute

    public void setAttribute(Attribute attribute)

  Sets the attribute.

  Parameters:
    `attribute` - The attribute to set

### getNewName

    public java.lang.String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Overrides:
    `getNewName` in class `EntityEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.